<?php

App::uses('Component', 'Controller');
App::uses('PortabilityController', 'Portability.Controller');

/**
 * Plugin de validacao de saldos por conta
 *
 * PHP versions 5+
 *
 * @author	 	  Fabricio S Costa
 * @link          https://fabriciojf@gmail.com 
 * @version		  1.0
 * 
 * O outro componente que seu componente utiliza
 * public $components = array('Outro');
 */
class PortabilityComponent extends Component {
		
/**
 * Registra uma consulta portabilidade
 * $_data = array(
 * 		'phone' => '',
 * 		'user_id' => '',
 * 		'operator' => '',
 * 		'label' => '',
 * )
 * @param unknown $_data
 */	
	public function registerHistory($_data = array()) {		
		$Portability = new PortabilityController;
		$Portability->constructClasses();
		return $Portability->registerHistory($_data);		
	}
	
}